@import '../../assets/scss/Variables';


div.PlaylistCard2 {
  box-sizing: border-box;
  min-height: 260px;
  min-width: 170px;
  padding: 16px;
  border-radius: 8px;
  position: relative;
  background-color: $background4;
  transition: background-color $transitionDuration ease;

  button.RaisedButton {
    position: absolute;
    top: 100px;
    right: 20px;
    opacity: 0;
    transition: all $transitionDuration ease;
  }

  div.image-container {
    border-radius: 8px;
    overflow: hidden;
    height: 140px;
    width: 140px;

    &.artist {
      border-radius: 50%;
    }

    img {
      width: 110%;
    }
  }
  
  div.name {
    font-weight: 700;
  }

  div.artists {
    color: $textColor2;
  }

  div.other-details {
    color: $textColor2;
  }


  &:hover {
    background-color: $background3;

    button.RaisedButton {
      opacity: 1;
    }
  }
}